﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Net;
using System.Net.Http;
using System.Web.Script.Serialization;

public partial class CS : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        //Setting TLS 1.2 protocol.
        ServicePointManager.Expect100Continue = true;
        ServicePointManager.SecurityProtocol = SecurityProtocolType.Tls12;

        //Fetch the JSON string from URL.
        List<Customer> customers = new List<Customer>();
        string apiUrl = "https://raw.githubusercontent.com/aspsnippets/test/master/Customers.json";

        HttpClient client = new HttpClient();
        HttpResponseMessage response = client.GetAsync(apiUrl).Result;
        if (response.IsSuccessStatusCode)
        {
            customers = new JavaScriptSerializer().Deserialize<List<Customer>>(response.Content.ReadAsStringAsync().Result);
        }
    }

    public class Customer
    {
        public string CustomerId { get; set; }
        public string Name { get; set; }
        public string Country { get; set; }
    }
}